Did I find the right examples for you? yes no      Crawl my project      Python Jobs

All Samples(10)  |  Call(10)  |  Derive(0)  |  Import(0)

src/l/a/ladybug-HEAD/src/ladybug_ladybug.py   ladybug(Download)
                    if bldgMesh!=[]:
                        #calculate intersection
                        ray = rc.Geometry.Ray3d(testPoint, rc.Geometry.Vector3d(*patchVec)) # generate the ray
                        if rc.Geometry.Intersect.Intersection.MeshRay(bldgMesh, ray) >= 0.0: check = 0;
 
                    if vecAngle < (PI/2):
                        check = 1; # this is simply here becuse I can't trust the break!! Isn't it stupid?
                        ray = rc.Geometry.Ray3d(testPts[i], patchVec) # generate the ray
 
                        if bldgMesh!=None:
                    if vecAngle < (PI/2):
                        check = 1; # this is simply here becuse I can't trust the break! Isn't it stupid?
                        ray = rc.Geometry.Ray3d(testPts[i], vector) # generate the ray
 
                        if bldgMesh!=None:

src/l/a/ladybug-HEAD/src/Ladybug_Shade Benefit Evaluator.py   ladybug(Download)
            for vec in _sunVectors:
                if context_:
                    if rc.Geometry.Intersect.Intersection.MeshRay(contextMesh, rc.Geometry.Ray3d(pt, vec)) < 0:
                        sunLines[ptCount].append(rc.Geometry.Line(pt, lineLength * vec))
                    else: sunLines[ptCount].append(0)

src/r/h/rhinopython-HEAD/scripts/rhinoscript/surface.py   rhinopython(Download)
    id = rhutil.coerceguid(surface_ids, False)
    if id: surface_ids = [id]
    ray = Rhino.Geometry.Ray3d(start_point, direction)
    breps = []
    for id in surface_ids:

src/l/a/ladybug-HEAD/src/Ladybug_Shading Mask.py   ladybug(Download)
            normalVector = getRayVector(testSurfaces[i], testPt)
            # create the meshRay
            ray = rc.Geometry.Ray3d(testPt, normalVector)
            # run the intersection
            if rc.Geometry.Intersect.Intersection.MeshRay(joinedContext, ray) >= 0.0:

src/l/a/ladybug-HEAD/src/Ladybug_Forward Raytracing.py   ladybug(Download)
        for vector in startVectors:
            vector.Unitize()
            ray = rc.Geometry.Ray3d(testPt, vector)
            if numOfBounce>0:
                intPts = rc.Geometry.Intersect.Intersection.RayShoot(ray, [cleanBrep], numOfBounce)

src/h/o/Honeybee-HEAD/src/Honeybee_Energy Shade Benefit Evaluator.py   Honeybee(Download)
            for vec in _sunVectors:
                if context_:
                    if rc.Geometry.Intersect.Intersection.MeshRay(contextMesh, rc.Geometry.Ray3d(pt, vec)) < 0:
                        sunLines[ptCount].append(rc.Geometry.Line(pt, lineLength * vec))
                    else: sunLines[ptCount].append(0)

src/l/a/ladybug-HEAD/src/Ladybug_Bounce from Surface.py   ladybug(Download)
            vector.Unitize()
            testPt = rc.Geometry.Point3d.Add(testPt, -vector * firstBounceLen)
            ray = rc.Geometry.Ray3d(testPt, vector)
 
            if numOfBounce>0 and rc.Geometry.Vector3d.VectorAngle(vector, ptsNormals[ptCount]) < math.pi/2:

src/h/o/Honeybee-HEAD/src/Honeybee_Solve Adjacencies.py   Honeybee(Download)
                    meshSrfCen = BrepMesh.Faces.GetFaceCenter(face) # store face centers
                    rayPtBases.append(meshSrfCen)
                    rays.append(rc.Geometry.Ray3d(meshSrfCen, srfNormal))
 
                for targetZone in HBZoneObjects: